import { __rest } from "tslib";
import * as React from "react";
/**
 * This wrapper allows us to also render non-sancho icons. It should probably
 * remain a private component.
 */
export const IconWrapper = (_a) => {
    var { size = "md", color, children } = _a, other = __rest(_a, ["size", "color", "children"]);
    return React.cloneElement(children, Object.assign({ size,
        color, "aria-hidden": true, style: { display: "block" } }, other));
};
//# sourceMappingURL=IconWrapper.js.map