import { __rest } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconWifiOff = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = __rest(_a, ["color", "size"]);
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("line", { x1: "1", y1: "1", x2: "23", y2: "23" }, void 0),
            _jsx("path", { d: "M16.72 11.06A10.94 10.94 0 0 1 19 12.55" }, void 0),
            _jsx("path", { d: "M5 12.55a10.94 10.94 0 0 1 5.17-2.39" }, void 0),
            _jsx("path", { d: "M10.71 5.05A16 16 0 0 1 22.58 9" }, void 0),
            _jsx("path", { d: "M1.42 9a15.91 15.91 0 0 1 4.7-2.88" }, void 0),
            _jsx("path", { d: "M8.53 16.11a6 6 0 0 1 6.95 0" }, void 0),
            _jsx("line", { x1: "12", y1: "20", x2: "12.01", y2: "20" }, void 0)] }), void 0));
};
IconWifiOff.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconWifiOff.js.map